Bug 7284 - [UPDATE REQUEST] kernel 4.1.33
: [UPDATE REQUEST] kernel 4.1.33
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-17 12:17 MSD by Eugene Shatokhin
Modified: 2016-09-20 19:01 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-08-17 12:17:28 MSD
Upstream update to version 4.1.30 + changes in the build process and configuration, similar to what was done for 4.6.x and 4.4.x earlier:
* (Rus) http://forum.rosalab.ru/viewtopic.php?f=53&t=7374#p73887
* (Eng) http://forum.rosalab.ru/viewtopic.php?f=54&t=7377
Comment 1 Eugene Shatokhin 2016-08-17 12:24:49 MSD
Advisory:
The kernel was updated to version 4.1.30 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.


Build lists:
i586:   https://abf.io/build_lists/2708964
x86_64: https://abf.io/build_lists/2708965
Comment 2 Vladimir Potapov 2016-08-18 07:17:43 MSD
не хватает файла -latest, не привязанного к версии. Без него на системах, обновленных с r6 обновляются только заголовки.
Comment 3 Eugene Shatokhin 2016-08-18 18:26:23 MSD
(In reply to comment #2)
> не хватает файла -latest, не привязанного к версии. Без него на системах,
> обновленных с r6 обновляются только заголовки.

Мы отказались от таких -latest пакетов ещё месяцы назад. В образах их уже нет. Костылями что угодно можно сделать, конечно...
Comment 4 Eugene Shatokhin 2016-08-18 22:44:51 MSD
Well, it seems, the acceptable solution is to make sure kernel-*-latest-4.1.25-1 are seamlessly updated to kernel-*-4.1-latest. Same for -devel packages.

We do not plan to provide a common -latest package for all kernel versions. Instead, we have different packages for 4.1.x, 4.4.x and so on.

I have added the appropriate "Obsoletes" and "Provides" for that, here are the build lists:

i586:   https://abf.io/build_lists/2709011
x86_64: https://abf.io/build_lists/2709012

Please check these out.
Comment 5 Vladimir Potapov 2016-08-23 16:11:06 MSD
I update i586 system in VBOX. I see fail after reboot - default VM settings without pae, but new kernel with pae.
It's incorrect - update don't break working.
Comment 6 Eugene Shatokhin 2016-08-23 21:46:33 MSD
(In reply to comment #5)
> I update i586 system in VBOX. I see fail after reboot - default VM settings
> without pae, but new kernel with pae.
> It's incorrect - update don't break working.

This is intentional and I suggest to keep this transition to PAE automatic.

There should be little-to-no systems where PAE causes problems, except the VMs configured this way. As usual, if a new kernel is problematic, one can always select the older ones at boot time and use them.

I suppose many of the users running 32-bit ROSA still have the non-PAE kernels just because they were there by default. If we chose not to update these kernels to their PAE counterparts automatically, this could lead to confusion ("Everyone got their kernel updates but not me, why? Something's wrong! What should I do?").

The transition should be seamless.

By the way, the goal is to stop supporting non-PAE kernels altogether. Non-PAE cases receive very little attention among the kernel developers now, so the longer we keep that stuff, the higher the maintenance burden will be.
Comment 7 Vladimir Potapov 2016-08-25 11:21:03 MSD
The update is sent to expanded testing
**************************************
Comment 8 Eugene Shatokhin 2016-09-06 12:29:35 MSD
Advisory:
The kernel was updated to version 4.1.30 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.
4) Support for SMB2 and SMB3 protocols was turned on in CIFS.


Build lists:
i586:   https://abf.io/build_lists/2711738
x86_64: https://abf.io/build_lists/2711739
Comment 9 Eugene Shatokhin 2016-09-06 12:30:01 MSD
Advisory:
The kernel was updated to version 4.1.31 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.
4) Support for SMB2 and SMB3 protocols was turned on in CIFS.


Build lists:
i586:   https://abf.io/build_lists/2711738
x86_64: https://abf.io/build_lists/2711739
Comment 10 Vladimir Potapov 2016-09-07 14:41:33 MSD
The update is sent to expanded testing
***************************************
Comment 11 Eugene Shatokhin 2016-09-09 23:25:35 MSD
Kernel 4.1.32 was released a few days ago and it provides fixes for several major issues, for example:
* memory leaks in the USB subsystem
* memory leaks in the Intel's graphics driver, i915
* hanging suspend and hibernate in some cases
* problems with AMD graphics on 32-bit systems
* problems with AMD graphics driver (radeon) with Radeon HD 3xxx devices
* potential kernel crash when a USB 3.x device is unplugged
* a few problems in ALSA leading to system crashes and hangs
* problems with keyboard during the startup and shutdown
* a few security issues.

I'd recommend not to publish 4.1.31 anywhere except testing and check version 4.1.32.
Comment 12 Eugene Shatokhin 2016-09-09 23:27:06 MSD
Advisory:
The kernel was updated to version 4.1.32 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.
4) Support for SMB2 and SMB3 protocols was turned on in CIFS.


Build lists:
i586:   https://abf.io/build_lists/2712353
x86_64: https://abf.io/build_lists/2712354
Comment 13 Vladimir Potapov 2016-09-12 18:31:24 MSD
The update is sent to expanded testing
**************************************
Comment 14 Eugene Shatokhin 2016-09-19 13:05:22 MSD
Advisory:
The kernel was updated to version 4.1.33 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.
4) Support for SMB2 and SMB3 protocols was turned on in CIFS.


Build lists:
i586:   https://abf.io/build_lists/2715590
x86_64: https://abf.io/build_lists/2715591


Notes.

1. CONFIG_FW_LOADER_USER_HELPER_FALLBACK was turned on in the kernel configuration in 4.1.31 and seemingly caused problems with Intel WiFi adapters (http://forum.rosalab.ru/viewtopic.php?f=53&t=5372&p=76294#p76294). It was off in 4.1.25, so I turned it back off in 4.1.33 now as well.

2. Kernel 4.1.33 contains at least one important fix ("x86/AMD: Apply erratum 665 on machines without a BIOS fix"), without which some system with AMD APUs may randomly hang. Several other important updates are there as well.
Comment 15 Vladimir Potapov 2016-09-19 16:10:24 MSD
The update is sent to expanded testing
***************************************
Comment 16 Vladimir Potapov 2016-09-20 17:51:25 MSD
kernel-4.1.33-1
https://abf.io/build_lists/2715590
https://abf.io/build_lists/2715591
************************** Advisory ************************
The kernel was updated to version 4.1.33 with lots of fixes all-around. Besides, the build process of kernel and its configuration were significantly reworked to simplify maintenance. Some other important changes were made, among these are:
1) PAE is now used by default on i586, non-PAE kernels are no longer provided;
2) SELinux is built in instead of TOMOYO (and disabled by default), can be enabled at boot time via kernel commandline options;
3) ndiswrapper was dropped from the kernel: if it is really needed, it can be provided as a separate package.
4) Support for SMB2 and SMB3 protocols was turned on in CIFS.
5) CONFIG_FW_LOADER_USER_HELPER_FALLBACK was turned on in the kernel configuration in 4.1.31 and seemingly caused problems with Intel WiFi adapters (http://forum.rosalab.ru/viewtopic.php?f=53&t=5372&p=76294#p76294). It was off in 4.1.25, so I turned it back off in 4.1.33 now as well.
6) Kernel 4.1.33 contains at least one important fix ("x86/AMD: Apply erratum 665 on machines without a BIOS fix"), without which some system with AMD APUs may randomly hang. Several other important updates are there as well.
**************************************************************
QA Verified